Combined INE and CURP results (legacy)

Prev Next
Get
/v1/sessions/{id}/decision/combined-ine-curp-registry

Returns combined INE (National Electoral Institute) and CURP (Unique Population Registry Code) validation results from Mexican government registries

When to use this endpoint

  • Use this endpoint to retrieve both INE and CURP validation results in a single API call for verification sessions that include Mexican registry checks.

  • This endpoint returns detailed information about:

    • INE/IFE credential status and validity
    • CURP registration status and person details
    • Birth certificate evidence data
    • Electoral registration information

Response data

  • The response contains two main sections:
    • INE data includes credential validity status, electoral information (voter key, federal district, OCR code), and validity period. The active field indicates if the credential is currently valid for voting.
    • CURP data includes person details (names, gender, birth date/region), CURP status code, and document evidence from birth certificate records (book, sheet, volume, act number).

Implementation notes

  • This endpoint requires the version query parameter
  • ifeIdentifier and ineIdentifier both represent person's identification number. ife is a legacy name, it was changed to ine.
  • This endpoint requires session-level HMAC signature authentication
  • Data availability depends on integration configuration with Mexican registry providers
  • Always ensure that you use the correct API URL to send requests. See the API URL section for more info.
  • The order of parameters in the real API response can differ from the order you see in this documentation. This is expected and part of the Backwards compatible changes requirements.
Header parameters
x-auth-client
stringRequired

Your integration's API key (occasionally referred to as the "Token", "API public key" or "Publishable key"). Required for all API requests.

You can find your API key in the Veriff Customer Portal > Settings > API keys.

Exampleyour_api_key
x-hmac-signature
stringRequired

Session id signed with the shared secret key. Required to authenticate the request sender.

Example5d1b1a6d8e3f2c9b7a4e6f8d3c2b1a9e8f7d6c5b4a3e2f1d0c9b8a7e6f5d4c3
Path parameters
id
string (uuid) Required

Verification session ID.

Examplef04bdb47-d3be-4b28-b028-a652feb060b5
Query parameters
version
stringRequired

Version parameter for registry validation

Example1
Responses
200

Combined INE and CURP registry validation results

Headers
Content-Type
string
Response content type.
Exampleapplication/json
x-auth-client
string
API key echoed back in response.
x-hmac-signature
string
Response body signed with the shared secret key. Required to authenticate the response sender.
{
  "data": {
    "ine": {
      "active": true,
      "status": "La credencial esta vigente",
      "information": "CIC 000000000 Clave de elector JRLGLS00000000H000 Número de emisión 1 Distrito Federal 3 Distrito Local 4 Número OCR 0000000000000 Año de registro 2009 Año de emisión 2020 Fecha de actualización de la información: 10 de agosto del 2023 19:48 Fecha de consulta: 11 de agosto del 2023 Esta vigente como medio de identificación y puedes votar. Tus datos se encuentran en el Padrón Electoral, y también en la Lista Nominal de Electores. Será válida hasta el 31 de diciembre de 2030",
      "comments": [
        "Fecha de consulta: 11 de agosto del 2023",
        "Tus datos se encuentran en el Padrón Electoral, y también en la Lista Nominal de Electores"
      ],
      "ifeIdentifier": null,
      "ineIdentifier": "000000000"
    },
    "curp": {
      "curp": "ABCD000000HVZRGS00",
      "names": "JUAN CARLOS",
      "gender": "HOMBRE",
      "regionCode": "VZ",
      "statusCurp": "RCN",
      "descriptionStatusCurp": "Registro de cambio no afectando a curp",
      "birthRegion": "Veracruz",
      "dateOfBirth": "1991-06-04T00:00:00Z",
      "nationality": "MEX",
      "firstSurname": "JUAREZ",
      "secondSurname": "LAGUNES",
      "docEvidenceData": {
        "book": "5",
        "sheet": "4",
        "volume": "2",
        "actNumber": "001234",
        "registryCity": "VERACRUZ",
        "regionRegistry": "30",
        "registrationYear": "2009",
        "registryCityCode": "4",
        "registryRegionCode": "VZ"
      },
      "documentEvidence": 1
    }
  }
}
Expand All
object
data
object

Data related to the INE/IFE identification number and the CURP identification number.

ine
object

Details about the INE/IFE identification number.

active
boolean

Indicates if the INE identification number is active (true) or inactive (false).

Exampletrue
status
string

Explanation of the credential status in data.status field in Spanish.

ExampleLa credencial esta vigente
information
string

Detailed information about the INE credential including CIC, voter key, emission number, federal/local district, OCR number, registration year, emission year, update date, query date, validity status, and expiration date.

ExampleCIC 000000000 Clave de elector JRLGLS00000000H000 Número de emisión 1 Distrito Federal 3 Distrito Local 4 Número OCR 0000000000000 Año de registro 2009 Año de emisión 2020 Fecha de actualización de la información: 10 de agosto del 2023 19:48 Fecha de consulta: 11 de agosto del 2023 Esta vigente como medio de identificación y puedes votar. Tus datos se encuentran en el Padrón Electoral, y también en la Lista Nominal de Electores. Será válida hasta el 31 de diciembre de 2030
comments
Array of string

Array of comments regarding the status of the identification.

Example[ "Fecha de consulta: 11 de agosto del 2023", "Tus datos se encuentran en el Padrón Electoral, y también en la Lista Nominal de Electores" ]
string
ifeIdentifier
string | null

IFE (Federal Electoral Institute) identification number. When this is returned, the ineIdentifier is not present.

Example
ineIdentifier
string | null

INE (National Electoral Institute) identification number. When this is returned, the ifeIdentifier is not present.

Example000000000
curp
object

Details about the CURP identification number.

curp
string

CURP (Unique Population Registry Code) identification number - 18-character alphanumeric code.

ExampleABCD000000HVZRGS00
names
string

Person's given name(s) as registered in CURP.

ExampleJUAN CARLOS
gender
string

Person's gender (HOMBRE for male, MUJER for female).

Valid values[ "HOMBRE", "MUJER" ]
ExampleHOMBRE
regionCode
string

Two-letter code for the birth region/state.

ExampleVZ
statusCurp
string | null

Status of the CURP registration.

Possible values:

  • AN (Alta Normal - Normal registration)
  • AH (Alta con Homonimia - Registration with homonymy)
  • CRA CU (CURP Reactivada - Reactivated CURP)
  • RCN (Registro de Cambio no Afectando a CURP - Change record not affecting CURP)
  • RCC (Registro de Cambio Afectando a CURP - Change record affecting CURP)
  • BD (Baja por Defunción - Cancelled due to death)
  • BDA (Baja por Duplicidad - Cancelled due to duplication)
  • BCC (Baja por Cambio en CURP - Cancelled due to CURP change)
  • BCN (Baja no Afectando a CURP - Cancelled not affecting CURP)
Valid values[ "AN", "AH", "CRA", "RCN", "RCC", "BD", "BDA", "BCC", "BCN" ]
ExampleRCN
descriptionStatusCurp
string

Human-readable explanation of the statusCurp value in Spanish.

ExampleRegistro de cambio no afectando a curp
birthRegion
string

Name of the person's birth region/state.

ExampleVeracruz
dateOfBirth
string (DD/MM/YY)

Person's date of birth in DD/MM/YY format.

Example06/04/1991
nationality
string

Person's nationality code.

ExampleMEX
firstSurname
string

Person's first surname (paternal surname).

ExampleJUAREZ
secondSurname
string

Person's second surname (maternal surname).

ExampleLAGUNES
docEvidenceData
object

Birth certificate evidence data from civil registry.

book
string

Birth certificate book number from civil registry.

Example5
sheet
string

Birth certificate sheet number within the book.

Example4
volume
string

Birth certificate volume number.

Example2
actNumber
string

Birth certificate act number (registration number).

Example001234
registryCity
string

City where the birth was registered.

ExampleVERACRUZ
regionRegistry
string

Region code where the birth was registered.

Example30
registrationYear
string

Year when the birth was registered.

Example2009
registryCityCode
string

Numeric code for the registry city.

Example4
registryRegionCode
string

Two-letter code for the registry region/state.

ExampleVZ
documentEvidence
integer

Document evidence type indicator.

Example1
400

Bad request

Headers
Content-Type
string
Response content type.
Exampleapplication/json
x-auth-client
string
API key echoed back in response.
Exampleyour-api-key
x-hmac-signature
string
Response body signed with the shared secret key. Required to authenticate the response sender.
object
status
string
Valid values[ "fail" ]
Examplefail
code
string
Example1101
message
string
ExampleValidation failed
401

Unauthorized

Headers
Content-Type
string
Response content type.
Exampleapplication/json
x-auth-client
string
API key echoed back in response.
Exampleyour-api-key
object
status
string
Valid values[ "fail" ]
Examplefail
code
string
Example1101
message
string
ExampleMandatory X-AUTH-CLIENT header containing the API key is missing from the request.
404

Session not found

Headers
Content-Type
string
Response content type.
Exampleapplication/json
x-auth-client
string
API key echoed back in response.
Exampleyour-api-key
x-hmac-signature
string
Response body signed with the shared secret key. Required to authenticate the response sender.
object
status
string
Valid values[ "fail" ]
Examplefail
code
string
Example1101
message
string
ExampleResource not found
500

Internal server error

Headers
Content-Type
string
Response content type.
Exampleapplication/json
x-auth-client
string
API key echoed back in response.
Exampleyour-api-key
x-hmac-signature
string
Response body signed with the shared secret key. Required to authenticate the response sender.
object
status
string
Valid values[ "fail" ]
Examplefail
code
string
Example1101
message
string
ExampleSomething went wrong



Document Versioning

Changelog

Date

Description

Mar 9, 2026

Documentation updated: parent categories rearranged, intro section expanded, request and response examples added

Oct 2, 2025

vrf- headers removed from response headers

Aug 6, 2025

Response headers added

Mar 12, 2025

Documentation published